Package org.eclipse.birt.chart.model.component.impl

# Class MarkerLineImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.MarkerLineImpl

All Implemented Interfaces:
  `MarkerLine`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class MarkerLineImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements MarkerLine
An implementation of the model object ' Marker Line'.

The following features are implemented:

- `Line Attributes`
- `Value`
- `Label`
- `Label Anchor`
- `Format Specifier`
- `Triggers`
- `Cursor`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetValue(DataElement newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`MarkerLine`
`copyInstance()`
`static final MarkerLine`
`create(Axis ax, DataElement de)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerLine`
`create(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerLine`
`createDefault(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Cursor`
`getCursor()`
`FormatSpecifier`
`getFormatSpecifier()`
`Label`
`getLabel()`
`Anchor`
`getLabelAnchor()`
`LineAttributes`
`getLineAttributes()`
`org.eclipse.emf.common.util.EList<Trigger>`
`getTriggers()`
`DataElement`
`getValue()`
`boolean`
`isSetLabelAnchor()`
`void`
`setCursor(Cursor newCursor)`
`void`
`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
`setLabel(Label newLabel)`
`void`
`setLabelAnchor(Anchor newLabelAnchor)`
`void`
`setLineAttributes(LineAttributes newLineAttributes)`
`void`
`setValue(DataElement newValue)`
`String`
`toString()`
`void`
`unsetLabelAnchor()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLineAttributes

public LineAttributes getLineAttributes()

Specified by:
  `getLineAttributes` in interface `MarkerLine`
Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `MarkerLine.setLineAttributes(LineAttributes)`
  - `ComponentPackage.getMarkerLine_LineAttributes()`

### basicSetLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLineAttributes

public void setLineAttributes(LineAttributes newLineAttributes)

Specified by:
  `setLineAttributes` in interface `MarkerLine`
Parameters:
  `newLineAttributes` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `MarkerLine.getLineAttributes()`

### getValue

public DataElement getValue()

Specified by:
  `getValue` in interface `MarkerLine`
Returns:
  the value of the 'Value' containment reference.
See Also:
  - `MarkerLine.setValue(DataElement)`
  - `ComponentPackage.getMarkerLine_Value()`

### basicSetValue

public org.eclipse.emf.common.notify.NotificationChain basicSetValue(DataElement newValue, org.eclipse.emf.common.notify.NotificationChain msgs)

### setValue

public void setValue(DataElement newValue)

Specified by:
  `setValue` in interface `MarkerLine`
Parameters:
  `newValue` - the new value of the 'Value' containment reference.
See Also:
  - `MarkerLine.getValue()`

### getLabel

public Label getLabel()

Specified by:
  `getLabel` in interface `MarkerLine`
Returns:
  the value of the 'Label' containment reference.
See Also:
  - `MarkerLine.setLabel(Label)`
  - `ComponentPackage.getMarkerLine_Label()`

### basicSetLabel

public org.eclipse.emf.common.notify.NotificationChain basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLabel

public void setLabel(Label newLabel)

Specified by:
  `setLabel` in interface `MarkerLine`
Parameters:
  `newLabel` - the new value of the 'Label' containment reference.
See Also:
  - `MarkerLine.getLabel()`

### getLabelAnchor

public Anchor getLabelAnchor()

Specified by:
  `getLabelAnchor` in interface `MarkerLine`
Returns:
  the value of the 'Label Anchor' attribute.
See Also:
  - `Anchor`
  - `MarkerLine.isSetLabelAnchor()`
  - `MarkerLine.unsetLabelAnchor()`
  - `MarkerLine.setLabelAnchor(Anchor)`
  - `ComponentPackage.getMarkerLine_LabelAnchor()`

### setLabelAnchor

public void setLabelAnchor(Anchor newLabelAnchor)

Specified by:
  `setLabelAnchor` in interface `MarkerLine`
Parameters:
  `newLabelAnchor` - the new value of the 'Label Anchor' attribute.
See Also:
  - `Anchor`
  - `MarkerLine.isSetLabelAnchor()`
  - `MarkerLine.unsetLabelAnchor()`
  - `MarkerLine.getLabelAnchor()`

### unsetLabelAnchor

public void unsetLabelAnchor()

Specified by:
  `unsetLabelAnchor` in interface `MarkerLine`
See Also:
  - `MarkerLine.isSetLabelAnchor()`
  - `MarkerLine.getLabelAnchor()`
  - `MarkerLine.setLabelAnchor(Anchor)`

### isSetLabelAnchor

public boolean isSetLabelAnchor()

Specified by:
  `isSetLabelAnchor` in interface `MarkerLine`
Returns:
  whether the value of the 'Label Anchor' attribute is set.
See Also:
  - `MarkerLine.unsetLabelAnchor()`
  - `MarkerLine.getLabelAnchor()`
  - `MarkerLine.setLabelAnchor(Anchor)`

### getFormatSpecifier

public FormatSpecifier getFormatSpecifier()

Specified by:
  `getFormatSpecifier` in interface `MarkerLine`
Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `MarkerLine.setFormatSpecifier(FormatSpecifier)`
  - `ComponentPackage.getMarkerLine_FormatSpecifier()`

### basicSetFormatSpecifier

public org.eclipse.emf.common.notify.NotificationChain basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFormatSpecifier

public void setFormatSpecifier(FormatSpecifier newFormatSpecifier)

Specified by:
  `setFormatSpecifier` in interface `MarkerLine`
Parameters:
  `newFormatSpecifier` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `MarkerLine.getFormatSpecifier()`

### getTriggers

public org.eclipse.emf.common.util.EList<Trigger> getTriggers()

Specified by:
  `getTriggers` in interface `MarkerLine`
Returns:
  the value of the 'Triggers' containment reference list.
See Also:
  - `ComponentPackage.getMarkerLine_Triggers()`

### getCursor

public Cursor getCursor()

Specified by:
  `getCursor` in interface `MarkerLine`
Returns:
  the value of the 'Cursor' containment reference.
See Also:
  - `MarkerLine.setCursor(Cursor)`
  - `ComponentPackage.getMarkerLine_Cursor()`

### basicSetCursor

public org.eclipse.emf.common.notify.NotificationChain basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setCursor

public void setCursor(Cursor newCursor)

Specified by:
  `setCursor` in interface `MarkerLine`
Parameters:
  `newCursor` - the new value of the 'Cursor' containment reference.
See Also:
  - `MarkerLine.getCursor()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final MarkerLine create(Axis ax, DataElement de)
A convenience method provided to add a marker line instance to an axis

Parameters:
  `ax` -
  `de` -

### create

public static final MarkerLine create(Axis ax, DataElement de, ColorDefinition lineColor)
A convenience method provided to add a marker line instance to an axis

Parameters:
  `ax` -
  `de` -
  `lineColor` -

### createDefault

public static final MarkerLine createDefault(Axis ax, DataElement de, ColorDefinition lineColor)
A convenience method provided to add a marker line instance to an axis

Parameters:
  `ax` -
  `de` -
  `lineColor` -

### copyInstance

public MarkerLine copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `MarkerLine`